Subject: Exchange trip impressions or get them from other travelers

From: Travel Talk Forums <[email-masked]>
Date: Thu, 22 Mar 2007 12:17:39 -0400

Hello,

I would like to present you the latest bulletin
board on the web related to worldwide traveling tips. Something similar to
LonleyPlanet's Thorn Tree Forums or Virtual Tourist Forums but with a
superior software solution and a much friendly user interface for its users,
properly delimitated so it can be much easier to follow the sub-forums.

We would like to create a strong community of worldwide travelers in the
future, all in one place to cover all the major areas of interest: an area
for honeymoon trips, one for family travelers, another for adventure trips
plus the regular areas sorted by continent and country. Here you can get
important tips about accommodation, sightseeing, maps, low cost
transportation, find a travel buddy and so on. If you like the idea and want
to join us, click the link below to visit the forums and sign-up if you
want. It's free.

Click here to visit the Travel Talk Forums

We hope you like this idea. Meet you there !